package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxBillRent;
import com.iformall.domain.po.WxRentContract;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxBillRentMapper extends CommonMapper<WxBillRent, Long> {

	List<WxBillRent> findList(WxBillRent wxBillRent);

    List<WxBillRent> queryBillRentList(WxBillRent record);

    Map<String,Object> queryPayInfo(Map<String,Object> params);

    Map<String,Object> queryPayInfoTotal(Map<String,Object> params);

    Map<String,Object> queryOweInfo(Map<String,Object> params);

    void updateNotPaidStatus(Map<String,Object> params);

    void updateWaitPayStatus(Map<String,Object> params);

    void updateInvalidStatus(WxBillRent wxBillRent);

    void deletePreviewBill(WxRentContract wxRentContract);

    void updateForReceiverPay(WxBillRent record);

    void updatePreviewStatus(WxBillRent record);

    Long oweBillCount(Long contractId);

    void insertBills(List<WxBillRent> resultList);

    void updateBills(@Param("bills") List<WxBillRent> resultList);

    WxBillRent selectBillOne(WxBillRent rentQuery);

    /**
     * 累加每一天的滞纳金
     */
    void autoAddLatePayPrice();

    /**
     * 保存billAction
     */
    void insertBillAction();
}
